package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;import org.hibernate.envers.Audited;

@Entity //@Audited
@Table(name="PapInstruksiPerjanjian_T")
public class PapInstruksiPerjanjian extends BaseTransaction{
	
	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name = "ObjectPegawaiFk")

	@Caption(value="Penanggung Jawab pasien")
	private Pegawai dokter;

	public Pegawai getDokter() {
		return dokter;
	}

	public void setDokter(Pegawai dokter) {
		this.dokter = dokter;
	}

	@Column(name = "ObjectPegawaiFk", insertable=false,updatable=false,nullable=true)
	private Integer dokterId;
	
	
	@ManyToOne
	@JoinColumn(name = "ObjectPasienDaftar")
	//@NotNull(message = "Pasien Daftar tidak boleh kosong")
	private PasienDaftar pasienDaftar;	
	
	@Column(name = "ObjectPasienDaftar", columnDefinition = "CHAR(32)", insertable = false, updatable = false, nullable = true)
	private String pasienDaftarId;

	@ManyToOne
	@JoinColumn(name = "ObjectPasienFk")
	@NotNull(message = "Pasien tidak boleh kosong")
	private Pasien pasien;	
	
	@Column(name = "ObjectPasienFk", insertable = false, updatable = false, nullable = false)
	private Integer pasienId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectRuanganFk")
	private Ruangan ruangan;	
	
	@Column(name = "ObjectRuanganFk", insertable = false, updatable = false, nullable = true)
	private Integer ruanganId;
	
	@Column(name = "jumlahKujungan")
	private Integer jumlahKunjungan;
	
	@NotNull(message = "Tgl Input tidak boleh kosong")
	@Column(name = "tglInput", nullable = false)
	@Caption(value = "Tgl Input")
	private Date tglInput;

	@ManyToOne
	@JoinColumn(name = "ObjectKasusPenyakitFk")
	//@NotNull(message = "KasusPenyakit tidak boleh kosong")
	private KasusPenyakit kasusPenyakit;
	
	@Column(name = "ObjectKasusPenyakitFk", insertable = false, updatable = false, nullable = true)
	private Integer kasusPenyakitId;
	
	@NotNull(message = "Tgl Perjanjian tidak boleh kosong")
	@Column(name = "tglPerjanjian", nullable = false)
	@Caption(value = "Tgl Perjanjian")
	private Date tglPerjanjian;
	
	@Column(name = "keteranganLainnya", nullable = false)
	@Caption(value = "KeteranganLainnya")
	private String keteranganLainnya;

	
	public Pasien getPasien() {
		return pasien;
	}

	public void setPasien(Pasien pasien) {
		this.pasien = pasien;
	}

	public Date getTglInput() {
		return tglInput;
	}

	public void setTglInput(Date tglInput) {
		this.tglInput = tglInput;
	}

	public KasusPenyakit getKasusPenyakit() {
		return kasusPenyakit;
	}

	public void setKasusPenyakit(KasusPenyakit kasusPenyakit) {
		this.kasusPenyakit = kasusPenyakit;
	}

	public Date getTglPerjanjian() {
		return tglPerjanjian;
	}

	public void setTglPerjanjian(Date tglPerjanjian) {
		this.tglPerjanjian = tglPerjanjian;
	}

	public String getKeteranganLainnya() {
		return keteranganLainnya;
	}

	public void setKeteranganLainnya(String keteranganLainnya) {
		this.keteranganLainnya = keteranganLainnya;
	}


	public Integer getPasienId() {
		return pasienId;
	}

	public void setPasienId(Integer pasienId) {
		this.pasienId = pasienId;
	}

	public Ruangan getRuangan() {
		return ruangan;
	}

	public void setRuangan(Ruangan ruangan) {
		this.ruangan = ruangan;
	}

	public Integer getRuanganId() {
		return ruanganId;
	}

	public void setRuanganId(Integer ruanganId) {
		this.ruanganId = ruanganId;
	}

	public Integer getJumlahKunjungan() {
		return jumlahKunjungan;
	}

	public void setJumlahKunjungan(Integer jumlahKunjungan) {
		this.jumlahKunjungan = jumlahKunjungan;
	}

	public Integer getKasusPenyakitId() {
		return kasusPenyakitId;
	}

	public void setKasusPenyakitId(Integer kasusPenyakitId) {
		this.kasusPenyakitId = kasusPenyakitId;
	}

	public PasienDaftar getPasienDaftar() {
		return pasienDaftar;
	}

	public void setPasienDaftar(PasienDaftar pasienDaftar) {
		this.pasienDaftar = pasienDaftar;
	}

	public String getPasienDaftarId() {
		return pasienDaftarId;
	}

	public void setPasienDaftarId(String pasienDaftarId) {
		this.pasienDaftarId = pasienDaftarId;
	}
	
	

}
